#include "maxMatching.h"

JNIEXPORT jintArray JNICALL Java_blossom5_1JNI_Blossom5matching_getMaximumMatching
	(JNIEnv* env, jobject thisObj, jint nNodes, jint nEdges, jintArray edgeArr) 
{	

	jsize len = env->GetArrayLength(edgeArr);
	jint *body = env->GetIntArrayElements(edgeArr, 0);

	if ( len != 2*nEdges ) 
		printf("Wrong Array length (%d vs %d)\n", len, 2*nEdges);

	int* edges = new int[2*nEdges];

	int maxNode = 0;	// (max node id) + 1

//	for( int i = 0; i < nEdges; ++i) {
//		edges[2*i]   = body[2*i];
//		edges[2*i+1] = body[2*i+1];
	for( int i = 0; i < 2*nEdges; ++i) {
			edges[i] = body[i];
		// maximum merken
		if (maxNode < edges[i] + 1)
			maxNode = edges[i] + 1;
	}

	// erzeugte Speicherplatz wieder freigeben
	env->ReleaseIntArrayElements(edgeArr, body, 0);

	struct PerfectMatching::Options options;
	
		options.verbose = false;

//		PerfectMatching *pm = new PerfectMatching(2*nNodes, 2*nEdges+nNodes);
		PerfectMatching *pm = new PerfectMatching(2*maxNode, 2*nEdges + maxNode);

		// original edges
		for(int i = 0; i < nEdges; ++i) {
			pm->AddEdge(edges[2*i], edges[2*i+1], -1);
		}
//		// copies
//		for(int i = 0; i < nEdges; ++i) {
//			pm->AddEdge(edges[2*i]+nNodes, edges[2*i+1]+nNodes, -1);
//		}
//		// edges between original nodes and their copies
//		for(int i = 0; i < nNodes; ++i) {
//			pm->AddEdge(i, i+nNodes, 0);
//		}
		// copies
		for(int i = 0; i < nEdges; ++i) {
			pm->AddEdge(edges[2*i]+maxNode, edges[2*i+1]+maxNode, -1);
		}
		// edges between original nodes and their copies
		for(int i = 0; i < maxNode; ++i) {
			pm->AddEdge(i, i+maxNode, 0);
		}

		pm->options = options;
		pm->Solve();

		// get size of maximum matching
		int nMatchedEdges = 0;
		for ( int i = 0; i < nEdges; ++i ) {
			if(pm->GetSolution(i)) nMatchedEdges++;
		}

		// get maximum matching
		jint matchedEdges[nMatchedEdges];
		int k = 0;
		for ( int i = 0; i < nEdges; ++i ) {
			if (pm->GetSolution(i)) {
				matchedEdges[k] = i;
				k++;
			}
		}
		jintArray result = env->NewIntArray(nMatchedEdges);
		env->SetIntArrayRegion(result, 0, nMatchedEdges, matchedEdges);

		delete pm;

	delete[] edges;
	return result;
}


//int main(int argc, char** argv) {
//	printf("I am a main");
//} 
