package kernelization;

/**
 * The class <code> EdgeStorageCell </code> stores one or two edges.
 * @author Viatcheslav Korenwein
 * @version 1.0
 */
public class EdgeStorageCell<E> {
	
	private E edge1;
	
	private E edge2;
	
	EdgeStorageCell(E edge1, E edge2){
		this.edge1 = edge1;
		this.edge2 = edge2;
	}
	
	EdgeStorageCell(E edge){
		this.edge1 = edge;
		this.edge2 = null;
	}

	/**
	 * @return the edge1
	 */
	public E getEdge1() {
		return edge1;
	}

	/**
	 * @return the edge2
	 */
	public E getEdge2() {
		return edge2;
	}

	/**
	 * @param edge1 the edge1 to set
	 */
	public void setEdge1(E edge1) {
		this.edge1 = edge1;
	}

	/**
	 * @param edge2 the edge2 to set
	 */
	public void setEdge2(E edge2) {
		this.edge2 = edge2;
	}

	/**
	 * Returns a string.
	 */
	@Override
	public String toString() {		
		if (this.edge2 == null)
			return "EdgesPair [" + this.edge1.toString() + ", null]";
		
		return "EdgesPair [" + this.edge1.toString() + ", " + this.edge2.toString() + "]";
	}

}
